package com.red.circle.other.app.service.activity;

import com.red.circle.common.business.dto.cmd.AppExtCommand;
import com.red.circle.other.app.dto.clientobject.activity.ActivityLeaderboardCO;
import com.red.circle.other.app.dto.clientobject.activity.ActivityLeaderboardListCO;

/**
 * 排行榜.
 *
 * @author pengliang on 2021/2/24
 */
public interface ActivityLeaderboardService {

  ActivityLeaderboardCO roomGiftsLeaderboard(AppExtCommand cmd);

  ActivityLeaderboardCO giftsSendLeaderboard(AppExtCommand cmd);

  ActivityLeaderboardCO giftsReceivedLeaderboard(AppExtCommand cmd);

  ActivityLeaderboardCO rechargeLeaderboard(AppExtCommand cmd);

  ActivityLeaderboardListCO getAppLeaderboard(AppExtCommand cmd);

  ActivityLeaderboardCO.LeaderboardUserCO myRank(AppExtCommand cmd, String type, String dateType);

}
